using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class FileTransferResponsePacket : IPacket
{
	public string Status { get; set; }

	public FileTransferResponsePacket()
	{
	}

	public FileTransferResponsePacket(string status)
	{
		Status = status;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Status ?? "");
	}

	public void Read(BinaryReader r)
	{
		Status = r.ReadString();
	}
}
